/** \file example.c
 * \brief A simple using of libVOTable
 */

#include "votable.h"

int main() {
  xmlTextReaderPtr reader;
  list_field *vfield_move;
  list_tabledata *vtabledata_move;
  VOTable votable;
  int nbFields, process_column;
  int *columns;
  char file[50]="votable.xml";
  reader = Init_VO_Parser(file,&votable);

  Extract_Att_VO_Table(reader,&votable);
  printf("Table Attribute=%s\n\n",votable.table->name);

  Extract_VO_Fields(reader,&votable,&nbFields,&columns);
  for(vfield_move=votable.field;vfield_move!=NULL;vfield_move=vfield_move->next) {
    printf("name=%s\nucd=%s\ndatatype=%s\narraysize=%s\ntype=%s\nwidth=%s\nunit=%s\n\n",
	   vfield_move->name,
	   vfield_move->ucd,
	   vfield_move->datatype,
	   vfield_move->arraysize,
	   vfield_move->type,
	   vfield_move->width,
	   vfield_move->unit);
    if(xmlStrcmp(vfield_move->ucd,"meta.id") == 0) 
      columns[0] = vfield_move->position;
    if(xmlStrcmp(vfield_move->ucd,"meta.ref.url") == 0) 
      columns[1] = vfield_move->position;
 }


 Extract_VO_TableData(reader,&votable, nbFields, columns);
 for(vtabledata_move=votable.tabledata;vtabledata_move!=NULL;vtabledata_move=vtabledata_move->next) {  
   printf("All values=%s\n",vtabledata_move->value);
   if (vtabledata_move->colomn == columns[0])
     printf("ucd=meta.id value=%s\n",vtabledata_move->value);
   if (vtabledata_move->colomn == columns[1])
     printf("ucd=meta.ref.url value=%s\n",vtabledata_move->value);
 }

  if (Free_VO_Parser(reader,&votable,&columns) == 1)
    fprintf(stderr,"memory problem\n");
  return 0;
}
